Bug 729375 - F1 through F5 keys don't work
Summary: F1 through F5 keys don't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 14
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 17:36 UTC by Scott Baker
Modified: 2013-07-02 23:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:35:59 UTC


Attachments (Terms of Use)

Description Scott Baker 2011-08-09 17:36:13 UTC
Description of problem:
Function keys F1, F2, F3, F4, F5 don't work.

Version-Release number of selected component (if applicable):
mc-4.7.5.2-1.fc14.x86_64

How reproducible:
Easily

Steps to Reproduce:
1. Load mc
2. Press any of F1 through F5
  
Actual results:
"[A" shows up on the command line panel at the bottom

Expected results:
The corresponding action should occur

Additional info:
F6 through F10 do work! It's just left side panels? Consequently I can't use mc to copy files from one dir to another.

Comment 1 Scott Baker 2011-08-09 20:01:07 UTC
I just tested this on Fedora 15 (mc-4.7.5.2-1.fc15.x86_64) and it behaves in the same (broken) manner.

Comment 2 Slava Zanko 2011-08-09 20:30:32 UTC
What terminal (or terminal emulator) used? I use konsole and I don't see any issues with functional keys.

P.S. As temporarry solutions you may:
1) Go to F9 -> Learn keys... and learn MC about your non-working funtional keys.
or
2) Use META+1, META+2, ... hotkeys. Ths mean, press ALT key and any of numeric keys (or press and release ESC key, then press any of numeric keys).

Comment 3 Scott Baker 2011-08-09 20:36:52 UTC
Interesting. I'm using konsole (version 2.6.4) and it most certainly does NOT work. If I use xterm it works just fine. I didn't even think about it being a terminal emulation thing. I wonder why konsole would screw up just F1 - F5. I'll do some more testing.

Comment 4 Scott Baker 2011-08-09 20:42:04 UTC
In Konsole I have my input type set to "Linux console" and this is causing the problem. If I set it to either "Default (XFree 4)" or "Solaris console" mc works fine.

Looking at the bindings for F1 - F5 under "Linux console" I see them mapped thus:

F1: \E[[A
F2: \E[[B
F3: \E[[C
F4: \E[[D
F5: \E[[E

But F6 and beyond are mapped

F6: \E[17~
F7: \E[18~
F8: \E[19~

etc...  

I wonder why those are mapped differently. I'm pretty sure I didn't remap them. I'll just switch to "Default (XFree 4)" to solve the problem.

Comment 5 Fedora End Of Life 2012-08-16 13:36:03 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.